com.microfocus.awm.meta.modelextension

## Class PreDefinedModelExtensionObject

- java.lang.Object
- - com.microfocus.awm.meta.modelextension.ModelExtensionObject
  - - com.microfocus.awm.meta.modelextension.PreDefinedModelExtensionObject

- Direct Known Subclasses:
    FileDescriptorExtension, IDDefinitionExtension, ModelPropertyExtension

      public abstract class PreDefinedModelExtensionObject
      extends ModelExtensionObject

  A model extension for a pre-defined, non-dynamic model object. These extensions are not intended to be modeled specifically, but created indirectly by function package features which contain references to them.

  Example: A `ModelPropertyExtension` can be defined within a function package and referenced by `LinkedElementTypeExtension`s as well as `LinkedPropertyExtension`s. As soon as a user defines one of the referencing types, the model editor automatically creates the pre-defined property described by the `ModelPropertyExtension` and sets the corresponding references.

  Author:
    RalfP
  See Also:
    `IFunctionPackageDefinable`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PreDefinedModelExtensionObject(java.lang.String pId, java.lang.String pLabel, FunctionPackageExtension pFunctionPackage)` Basic constructor.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract org.eclipse.emf.ecore.EClass` | `getPreDefinedClass()` Gets the `EClass` that this model extension pre-defines.

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.ModelExtensionObject

      `getFunctionPackageExtension, getHelpContextId, getID, getLabel, isDeprecated, setDeprecated, setHelpContextId, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PreDefinedModelExtensionObject

          public PreDefinedModelExtensionObject(java.lang.String pId,
                                                java.lang.String pLabel,
                                                FunctionPackageExtension pFunctionPackage)

      Basic constructor.
      Parameters:
        `pId` - the component ID
        `pLabel` - the label
        `pFunctionPackage` - the containing function package

  - ### Method Detail

    - #### getPreDefinedClass

          public abstract org.eclipse.emf.ecore.EClass getPreDefinedClass()

      Gets the `EClass` that this model extension pre-defines.
      Returns:
        the `EClass` of the pre-defined object

Copyright © 2015 Micro Focus GmbH. All rights reserved.